<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Listado de Usuarios :.
    </ui:define>

    <ui:define name="titlePages">
        <span>Listado de Usuarios </span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Administración</li>
      <li>Listado de Usuarios </li>
    </ui:define>

    <ui:define name="content">
    #{usuarioMB.validarSesion()}
    #{usuarioMB.inicializarValores()}
        <div class="row">
                <h:form id="frmUsuario_Listado">
                <p:growl life="5000"  id="mensaje" showDetail="true" sticky="false" />
                    <div class="col-md-12">

                            <div class="row box-mb">
                            
                            	<div class="col-sm-4">
                                    <div class="form-group">
                                        <h:outputLabel for="txtUsuario" value="Usuario: " styleClass="control-label"/>
                                            <p:inputText 	id="txtUsuario"
                                                			value="#{usuarioMB.usuario.usuario}"
                                                			maxlength="25"
                                                			onkeypress="return soloCaracteresValidos(event)"
                                               	 			styleClass="form-control" />
                                            <p:watermark for="txtUsuario" value="Ingrese nombre de usuario" />
                                    </div>
                                </div>

								<div class="col-sm-4" >
                                    <div class="form-group">
                                        <h:outputLabel for="cboPerfil" value="Perfil: " styleClass="control-label"/>

                                            <p:selectOneMenu 	id="cboPerfil"
                                             					value="#{usuarioMB.usuario.perfil.id}"
                                            					styleClass="form-control style-select">
                                                <f:selectItem itemValue="0" itemLabel="Todos"/>
                                                <f:selectItems value="#{usuarioMB.lstPerfil}"
                                                    var="perfil"
                                                    itemValue="#{perfil.id}"
                                                    itemLabel="#{perfil.nombre}" />
                                            </p:selectOneMenu>

                                    </div>
                                </div>
<!-- 
								 <div class="row box-mb">
	                                <div class="col-sm-4" >
	                                    <div class="form-group">
	                                        <h:outputLabel 	for="cboSituacion" value="Situación: " styleClass="control-label"/>
	                                        <p:selectOneMenu id="cboSituacion"
	                                             			 value="#{usuarioMB.usuario.situacion}"
	                                            			 styleClass="form-control style-select">
	                                                <f:selectItem itemValue="0" itemLabel="Todos"/>
	                                                <f:selectItem itemValue="1" itemLabel="Activo"/>
	                                                <f:selectItem itemValue="2" itemLabel="Inactivo"/>

	                                        </p:selectOneMenu>

	                                    </div>
	                                </div>
	                                
	                            </div>
 -->
                             </div>
                                


                            <div class="row box-mb">
                                <div class="col-sm-12 text-right box-main-btn">
                                    <p:commandButton value="Nuevo"
                                                     styleClass="btn btn-primary btn-sensitive"
                                                     action="#{usuarioMB.nuevo}"
                                                     icon="icon-plus ocultarImgIcon"
                                                     ajax="false"/>

                                    <p:commandButton 	value="Buscar" 
                                    					icon="icon-search ocultarImgIcon" 
                                    					styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        style="margin-right: 0!important"
                                    					action="#{usuarioMB.listarUsuarios}"
                                    					onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					update="tblUsuario" 
                                    					ajax="true"/>
                                </div>
                            </div>

                            <div class="row box-mb">
                                <div class="col-sm-12 box-table-class">
                                    <p:dataTable 	id="tblUsuario"
                                    				value="#{usuarioMB.lstUsuario}"
                                    				var="usuario"
	                                                paginator="true"
	                                                paginatorPosition="top"
	                                                rowsPerPageTemplate="10,20,30,40,50"
                                    				rowKey="#{usuario.id}"
                                    				rowIndexVar="item"
		                                    		rows="10"
		                                    		emptyMessage="#{usuarioMB.msgListaVacia}"
                                    				style="margin-bottom:0;" >
                                        

										<p:column headerText="Nro" style="width:20px;text-align:center" >
                                            <h:outputText value="#{item + 1}"/>
                                        </p:column>

                                        <p:column headerText="Usuario" style="width:80px;text-align:left;">
                                            <h:outputText value="#{usuario.usuario}" />
                                        </p:column>

                                        <p:column headerText="Asignado a" style="width:160px;text-align:left">
                                            <h:outputText value="#{usuario.nombreCompleto}" />
                                        </p:column>

                                        <p:column headerText="Perfil" style="width:120px;text-align:center">
                                            <h:outputText value="#{usuario.perfil.nombre}" />
                                        </p:column>

<!-- 
                                        <p:column headerText="Situación" style="width:160px;text-align:center">
                                            <h:outputText value="#{usuario.situacion}" />
                                        </p:column>

          -->                               <p:column headerText="Acción" style="width:80px;text-align:center" exportable="false">
                                             <p:commandButton
                            				 					title="Modificar"
                            				 					action="#{usuarioMB.modificar(usuario)}"
                            				 					ajax="false"
	                            			 					icon="ui-icon ui-icon-pencil"
                            				 					styleClass="colorSuccess"/>

                            				<p:commandButton
												                 icon="ui-icon ui-icon-trash"
												                 title="Eliminar"
												                 actionListener="#{usuarioMB.validarEliminacionUsuario(usuario)}"
												                 ajax="true"
												                 >
											</p:commandButton>
											

                                        </p:column>

                                    </p:dataTable>

                                </div>
                            </div>

                    </div>
                    
                        <p:confirmDialog message="Aviso de eliminación"
    									 id="idGrpEliminarConfirmacion"
    					                 showEffect="fade"
    					                 hideEffect="explode"
                                         modal="true" 
                                         styleClass="modal-confirmation"                                                                                 
    					                 widgetVar="grpEliminarConfirmacion"
    					                 width="30%">


                                         <div class="row" style="margin-left: 15px;margin-top: 5px;margin-bottom: 10px;">             
                                                <h:outputText value="¿Confirma la eliminación del usuario seleccionado:"/>
                                                <br/>
                                                <h:outputText value="Usuario "/> 
                                                <h:outputText value="#{usuarioMB.usuario.usuario}" escape="false" style="font-weight: 600;color:#000"/>
                                                <h:outputText value=" ?"/>
                                        </div> 

    								     <div class="row text-right box-dig-btn" style="margin-right: 0px;">
    										    <p:commandButton title="Si"
    										                     value="Si"
    										                     action="#{usuarioMB.eliminar()}"
                                                                 styleClass="btn btn-primary btn-sensitive" 
    										                     oncomplete="PF('grpEliminarConfirmacion').hide()"
    										                     update=":frmUsuario_Listado:mensaje,:frmUsuario_Listado:tblUsuario"/>
    										    <p:commandButton title="No"
                                                                 styleClass="btn btn-default btn-sensitive btn-buscar"
    										                     value="No"
    										                     oncomplete="PF('grpEliminarConfirmacion').hide()"/>
    								     </div>
    					</p:confirmDialog>

                </h:form>
                
                <p:dialog widgetVar="statusDialog" modal="true" draggable="false" closable="false" resizable="false" showHeader="false">
						<p:graphicImage value="../resources/img/loadingbar.gif" />
				</p:dialog>
        </div>
    </ui:define>

</ui:composition>
